## List Products **get** `/api/v2/public/products` Retrieves a paginated list of products. ### Query Parameters - `Page_Size: optional string` The number of items per page. - `Page_Start: optional string` The starting page index for pagination. - `product_number: optional array of string` Optional array of product numbers to filter by. ### Returns - `page_number: optional number` Current page number (1-based). - `page_size: optional number` Maximum number of records returned per page. - `records: optional array of ProductItem` Collection of records for the current page. - `barcode: string` - `product_name: string` Display name of the product. - `product_number: string` Unique product number. - `allow_decimal: optional boolean` - `attention_code: optional string` - `average_weight: optional number` - `barcodes_array: optional string` - `base_unit_name: optional string` - `brand_code: optional string` - `brand_description: optional string` - `carrier_item_quantity: optional number` - `category_code: optional string` - `color: optional string` - `color_code: optional string` - `countries_allowed: optional array of string` - `countries_not_allowed: optional array of string` - `country_code: optional string` - `deprecation_date: optional string` - `edit_min_max_percentage: optional number` - `expiration_min_range: optional number` - `free_fields: optional array of object { key, sort_order, value }` - `key: optional string` - `sort_order: optional number` - `value: optional string` - `general_ledger: optional string` - `image_url: optional string` - `is_active: optional boolean` - `is_counted: optional boolean` - `is_edit_min_max: optional boolean` - `is_edit_replenishment: optional boolean` - `is_expiration: optional boolean` - `is_order_manually: optional boolean` - `is_promotion: optional boolean` - `is_set: optional boolean` - `is_stock: optional boolean` - `is_store_product: optional boolean` - `is_template: optional boolean` - `margin_category: optional string` - `moq: optional number` - `old_price: optional number` - `price: optional number` - `price_compare_multiplier: optional number` - `price_compare_unit: optional string` - `price_lines: optional string` - `product_details: optional string` - `product_type: optional string` - `product_url: optional string` - `promo_stores_allowed: optional array of string` - `promo_stores_not_allowed: optional array of string` - `promotion: optional string` - `promotion_week: optional string` - `purchase_price: optional number` - `purchase_unit_barcode: optional string` - `purchase_unit_name: optional string` - `purchase_unit_product_number: optional string` - `purchase_unit_quantity: optional number` - `referral_product_id: optional string` - `reset_store_stock: optional boolean` - `set_product: optional array of object { set_item_quantity, set_product_number }` - `set_item_quantity: optional string` - `set_product_number: optional string` - `shelf_label: optional boolean` - `shelf_label_barcode: optional boolean` - `shelf_label_layout: optional number` - `shelf_label_price: optional boolean` - `shelf_label_quantity: optional number` - `size: optional string` - `size_code: optional string` - `smallest_product_number: optional string` - `smallest_quantity: optional number` - `special_price: optional number` - `stores_allowed: optional array of string` - `stores_not_allowed: optional array of string` - `supplier_id: optional string` - `supplier_name: optional string` - `supplier_product_number: optional string` - `units: optional array of object { unit_barcode, unit_name, unit_quantity }` - `unit_barcode: optional string` - `unit_name: optional string` - `unit_quantity: optional number` - `variant_code: optional string` - `variant_factor: optional number` - `variant_family: optional string` - `volume: optional string` - `total_record_count: optional number` Total number of records matching the query across all pages. ### Example ```http curl https://api.colleqtive.net/api/v2/public/products \ -H "Authorization: $COLLEQTIVE_BEARER_TOKEN" ```